Bug 2282977 - Review Request: rust-range_map_vec - Implementation of a range map data structure backed by a Vec
Summary: Review Request: rust-range_map_vec - Implementation of a range map data struc...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/range_map_vec
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-05-23 13:36 UTC by Oliver Steffen
Modified: 2024-06-07 14:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 7481364 to 7495271 (355 bytes, patch)
2024-05-27 10:24 UTC, Fedora Review Service
no flags Details | Diff

Description Oliver Steffen 2024-05-23 13:36:26 UTC
Spec URL: https://osteffen.fedorapeople.org/packages/rust-range_map_vec/rust-range_map_vec.spec
SRPM URL: https://osteffen.fedorapeople.org/packages/rust-range_map_vec/rust-range_map_vec-0.1.0-1.fc41.src.rpm
Description: Range_map_vec is an implementation of a range map data structure backed by a Vec.
Fedora Account System Username: osteffen

This crate is packaged directly from crates.io without any modifications.

This is part of the effort to add the Coconut-SVSM paravisor to Fedora.
It would enables Fedora virtualization hosts to launch confidential
virtual machines using AMD's SEV-SNP technology.
See https://fedoraproject.org/wiki/Changes/ConfidentialVirtHostAMDSEVSNP

I am new to Fedora packaging and require a sponsor.

Comment 1 Fedora Review Service 2024-05-23 13:41:08 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7481364
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2282977-rust-range_map_vec/fedora-rawhide-x86_64/07481364-rust-range_map_vec/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2024-05-24 13:34:32 UTC
Just to make sure - version 0.2.0 has been released last night - I assume you specifically need v0.1 for now?

Other than that, package looks like 100% boilerplate without modifications, so should be good to go.

Comment 4 Fedora Review Service 2024-05-27 10:24:58 UTC
Created attachment 2035298 [details]
The .spec file difference from Copr build 7481364 to 7495271

Comment 5 Fedora Review Service 2024-05-27 10:25:01 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7495271
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2282977-rust-range_map_vec/fedora-rawhide-x86_64/07495271-rust-range_map_vec/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 6 Fabio Valentini 2024-05-28 15:09:43 UTC
Thank you for the update! Package looks good to me.

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

I can help you with importing and some Rust SIG specific stuff as soon as you have found a sponsor, just let me know.

Comment 7 Daniel Berrangé 2024-06-05 12:05:42 UTC
> I can help you with importing and some Rust SIG specific stuff as soon as you have found a sponsor, just let me know.

I have now sponsored Oliver for membership of the packager group

Comment 8 Fabio Valentini 2024-06-07 14:04:36 UTC
Great! removing FE-NEEDSPONSOR.


Note You need to log in before you can comment on or make changes to this bug.